### Method

# Adw TabViewclose_page

#### Declaration [src]

    void
    adw_tab_view_close_page (
      AdwTabView* self,
      AdwTabPage* page
    )

#### Description [src]

Requests to close `page`.

Calling this function will result in the `AdwTabView::close-page` signal being emitted for `page`. Closing the page can then be confirmed or denied via `adw_tab_view_close_page_finish()`.

If the page is waiting for a `adw_tab_view_close_page_finish()` call, this function will do nothing.

The default handler for `AdwTabView::close-page` will immediately confirm closing the page if it’s non-pinned, or reject it if it’s pinned. This behavior can be changed by registering your own handler for that signal.

If `page` was selected, another page will be selected instead:

If the `AdwTabPage:parent` value is `NULL`, the next page will be selected when possible, or if the page was already last, the previous page will be selected instead.

If it’s not `NULL`, the previous page will be selected if it’s a descendant (possibly indirect) of the parent. If both the previous page and the parent are pinned, the parent will be selected instead.

#### Parameters

`page`

  Type: `AdwTabPage`

  A page of `self`.

  The data is owned by the caller of the method.